"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x104eda200>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x104eda2a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104eda340>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104eda3e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x104eda480>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x104eda520>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104eda5c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104eda660>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104eda700>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104eda7a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x104eda840>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x104eda8e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x104eda980>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x104edaa20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x104edaac0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x104edab60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x104edac00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x104edaca0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x104edad40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x104edade0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x104edae80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x104edaf20>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x104edafc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x104edb060>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x104edb100>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x104edb1a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x104edb240>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x104edb2e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x104edb380>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x104edb420>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x104edb4c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x104edb560>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x104edb600>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x104edb6a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x104edb740>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x104edb7e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x104edb880>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x104edb920>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104edb9c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104edba60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104edbb00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x104edbba0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x104edbc40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x104edbce0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x104edbd80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x104edbe20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x104edbec0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104edbf60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104f38040>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x104f380e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x104f38180>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x104f38220>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x104f382c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x104f38360>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x104f38400>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x104f384a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x104f38540>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104f385e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x104f38680>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x104f38720>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x104f387c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x104f38860>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x104f38900>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x104f389a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x104f38a40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x104f38ae0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x104f38b80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x104f38c20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x104f38cc0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104f38d60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x104f38e00>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x104f38ea0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104f38f40>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x104f38fe0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x104f39080>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x104f39120>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x104f391c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x104f39260>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x104f39300>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x104f393a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x104f394e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x104f39440>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x104f39580>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x104f39620>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x104f396c0>)]
name: str = 'fr_HOCCN'
